package code

import "gitlab.jxhh.com/zhaoxueru/common-base.git/pkg/errors"

//12XXXX 收单易服务
//|12|00|收单易服务 - 通用错误|


// Code must start with 12XXXX.

// 基本错误码
const (
	//ErrServer : 服务器异常
	ErrServer int = iota + 120001

	//ErrValidation : 校验错误
	ErrValidation

	//ErrDatabase : 数据库错误
	ErrDatabase
)

func init()  {
	errors.MustRegister(ErrServer, "服务器异常")
	errors.MustRegister(ErrValidation, "%%0")
	errors.MustRegister(ErrDatabase, "Database error")
}
